Bug 34515 - cpus in uvmm/profile/get returns bool instead of int
cpus in uvmm/profile/get returns bool instead of int
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Virtual machines (UVMM)
UCS 3.2
amd64 Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Andreas Peichert
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-09 15:47 CEST by Andreas Peichert
Modified: 2014-11-26 06:55 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Peichert univentionstaff 2014-04-09 15:47:33 CEST
While creating a new VM (domain), all details of an UVMM-Profile are returned by UMCP "uvmm/profile/get" to fill the frontend fields.

But for 'cpus' the value is 'True' instead of the actual cpu number (1).

umc/python/uvmm/profiles.py skips 'cpus' - this works well, so the problem has a different origin.

# umc-command -U Administrator -P *** uvmm/profile/get -e -o '{"profileDN":"cn=Microsoft Windows 2003,cn=kvm,cn=Profiles,cn=Virtual Machine Manager,dc=peichert,dc=local"}'
09.04.14 15:24:12.990  DEBUG_INIT
Response: COMMAND
  data length   :  467
  message length:  393
  ---
  ARGUMENTS: uvmm/profile/get
MIMETYPE   : application/json
  STATUS   : 200
  MESSAGE  : None
  RESULT   : {'bootdev': ['cdrom', 'hd'], 'pvdisk': False, 'vnc': True, 'name': 'Microsoft Windows 2003', 'diskspace': '20GB', 'os': 'Microsoft Windows 2003', 'ram': '1024MB', 'cpus': True, 'interface': 'eth0', 'pvcdrom': False, 'rtcoffset': 'localtime', 'pvinterface': False, 'kblayout': 'de', 'name_prefix': 'w2k3-', 'arch': 'automatic', 'virttech': 'kvm-hvm'}
Comment 1 Florian Best univentionstaff 2014-04-09 16:13:11 CEST
What effects does it cause?
The Form-Field for numbers of CPU is marked as invalid when creating a VM, right?
Comment 2 Andreas Peichert univentionstaff 2014-04-09 16:19:40 CEST
yes, and it seems to be browser-dependent: A warning at Chromium, but nothing for Firefox.
Comment 3 Andreas Peichert univentionstaff 2014-11-03 16:12:26 CET
Fixed in r55286
univention-virtual-machine-manager-daemon (4.0.14-1)
Comment 4 Florian Best univentionstaff 2014-11-03 16:15:47 CET
yes
Comment 5 Florian Best univentionstaff 2014-11-03 16:27:53 CET
I added a changelog entry.

The code change is in svn55286 in umc/python/uvmm/tools.py.
Comment 6 Stefan Gohmann univentionstaff 2014-11-26 06:55:15 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".